OnDiskIndex.IteratorOrder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Enum OnDiskIndex.IteratorOrder

- java.lang.Object
- - java.lang.Enum<OnDiskIndex.IteratorOrder>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.IteratorOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OnDiskIndex.IteratorOrder>
  Enclosing class:
    OnDiskIndex

      public static enum OnDiskIndex.IteratorOrder
      extends java.lang.Enum<OnDiskIndex.IteratorOrder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASC`
    `DESC`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `step`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `startAt(OnDiskBlock.SearchResult<OnDiskIndex.DataTerm> found, boolean inclusive)`
    `int` | `startAt(OnDiskBlock<OnDiskIndex.DataTerm> block, Expression e)`
    `static OnDiskIndex.IteratorOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OnDiskIndex.IteratorOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESC

          public static final OnDiskIndex.IteratorOrder DESC

    - #### ASC

          public static final OnDiskIndex.IteratorOrder ASC

  - ### Field Detail

    - #### step

          public final int step

  - ### Method Detail

    - #### values

          public static OnDiskIndex.IteratorOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnDiskIndex.IteratorOrder c : OnDiskIndex.IteratorOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OnDiskIndex.IteratorOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### startAt

          public int startAt(OnDiskBlock<OnDiskIndex.DataTerm> block,
                             Expression e)

    - #### startAt

          public int startAt(OnDiskBlock.SearchResult<OnDiskIndex.DataTerm> found,
                             boolean inclusive)

Copyright © 2018 The Apache Software Foundation